## class fltk::WordwrapInput

### Class Hierarchy

    fltk::Input
       |
       +----fltk::WordwrapInput

### Include Files

    #include <fltk/WordwrapInput.h>

### Description

This input field displays `'\n'` characters as new lines rather than `^J`, and accepts the Return, Tab, and up and down arrow keys, and wraps long lines to fit into paragraphs that fit in the window. This is useful for editing small blocks of text, but you may want fltk::Text_Editor instead.

### Methods

- fltk::WordwrapInput
- ~WordwrapInput

#### fltk::WordwrapInput::WordwrapInput(int x, int y, int w, int h, const char *label = 0)

Creates a new `fltk::WordwrapInput` widget using the given position, size, and label string.

#### virtual fltk::WordwrapInput::~WordwrapInput()

Destroys the widget and any value associated with it.